Bug 97868 - RFE: Via VT8233A chipset support
RFE: Via VT8233A chipset support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: dff
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-23 11:12 EDT by Clifford Perry
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 10:25:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
via vt8233a support patch (18.35 KB, patch)
2003-06-23 11:14 EDT, Clifford Perry
no flags Details | Diff
Patch to update 2.4.9-e.35 via drivers and assocaited files (19.62 KB, patch)
2004-01-19 11:47 EST, Clifford Perry
no flags Details | Diff

  None (edit)
Description Clifford Perry 2003-06-23 11:12:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
It seems as though the kernel released by Red Hat for its Advance Server line of
products does not support the vt8233a chipset. This issue has been resolved
within the main Red Hat Linux kernels for 7.x,8.0 and 9 (in part as a result of
the bugzilla report #71545). 

Would it be possible for Red Hat to add in support for this newer hardware into
the Red Hat Enterprise kernels ? This will give the benefit of being able to use
the RHN system for maintaining our servers rather than running a custom kernel. 

We need this support added so that our customers will be able to use the full
UDMA6 (133MB/s), otherwise restricted to PIO4 (16MB/s). This is a considerable
performance loss for hardware capable of much more. 

I have created and tested a patch which will fix this and that applies cleanly
to the current 2.4.9-e.25 kernel source which I will attach to this report. 

Currently when trying to turn on UDMA you receive the following error:

hdparm -d 1 /dev/hda
 
/dev/hda:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)

and within dmesg it shows that this chipset it unknown to the 2.4.9-e.25 kernel:

VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: Unknown VIA SouthBridge, contact Vojtech Pavlik <vojtech@suse.cz>

Booting the same system to a custom kernel with my patch applied I am now able
to enable udma using hdparm:

# hdparm -d 1 /dev/hda

/dev/hda:
 setting using_dma to 1 (on)
 using_dma    =  1 (on)

and dmesg shows support for the chipset:

VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt8233a (rev 00) IDE UDMA133 controller on pci00:11.1

Please note that I used the 2.4.20 kernel from kernel.org as the basis for
creating the patch file for the ide-timing.h and via82cxxx.c files. This driver
version of 3.35 is not the newest available, you may wish to consider using
newer versions (as you did within the 2.4.20-18.7 kernel)

Please let me know if you have any follow-up questions and any time frame on
when this can be added into the Red Hat Enterprise 2.1 AS & ES kernels. 

Regards,
Clifford
Rackspace Managed Hosting.

Version-Release number of selected component (if applicable):
kernel-2.4.9-e.25

How reproducible:
Always

Steps to Reproduce:
1. Install a server/computer with motherboard which has the VIA VT8233A South
Bridge Chipset. 
2. Install Red Hat Linux Enterprise 2.1 ES or AS 
3. Using any currently avaliable 2.4.9-e.XX kernel, run dmesg and/or attempt to
enable udma support for hard drive to confirm this chipset it not supported. 
    

Actual Results:  From Description : 

Currently when trying to turn on UDMA you receive the following error:

hdparm -d 1 /dev/hda
 
/dev/hda:
 setting using_dma to 1 (on)
 HDIO_SET_DMA failed: Operation not permitted
 using_dma    =  0 (off)

and within dmesg it shows that this chipset it unknown to the 2.4.9-e.25 kernel:

VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: Unknown VIA SouthBridge, contact Vojtech Pavlik <vojtech@suse.cz>

Expected Results:  Booting the same system to a custom kernel with my patch
applied I am now able to enable udma using hdparm:

# hdparm -d 1 /dev/hda

/dev/hda:
 setting using_dma to 1 (on)
 using_dma    =  1 (on)

and dmesg shows support for the chipset:

VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
ide: Assuming 33MHz PCI bus speed for PIO modes; override with idebus=xx
VP_IDE: VIA vt8233a (rev 00) IDE UDMA133 controller on pci00:11.1


Additional info:
Comment 1 Clifford Perry 2003-06-23 11:14:27 EDT
Created attachment 92558 [details]
via vt8233a support patch
Comment 2 Suzanne Hillman 2003-08-07 11:05:00 EDT
This looks to me like an enhancement request. So, treating it as such.
Comment 4 Clifford Perry 2004-01-19 11:47:15 EST
Created attachment 97102 [details]
Patch to update 2.4.9-e.35 via drivers and assocaited files

I have had the need to further update the kernel patch driver we use to include
support for the VIA VT8237 Southbridge Chipset found on the Asus A7V600
motherboard. This was back ported/patched from using the via82cxxx 3.37 driver
information as found within the 2.4.21->24 kernels. If this patch (along with
patch within bugzilla 102749) could be applied to the RHEL 2.1 kernels it would
be very appreciated. 

Thanks
Cliff.
Comment 5 Alan Cox 2004-06-18 11:39:47 EDT
Ok with me
Comment 6 Jason Baron 2004-07-09 16:16:36 EDT
Fix in U5 beta, move to modified.

http://people.redhat.com/~jbaron/.private/u5/2.4.9-e.46/
Comment 7 John Flanagan 2004-08-18 10:25:22 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-437.html

Note You need to log in before you can comment on or make changes to this bug.